Cyan Web API - Version 1


GET api/nodeIndices?{nodeId}

            Gets the NodeIndices for a Node.
            

Request Information

Parameters

NameDescriptionAdditional information
nodeId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeIndexId": "341cb2e4-3085-4ceb-9b63-33ce13994f67",
    "tenantId": "af682282-9987-4410-909c-6a489a3a0461",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "7ff8b3c5-d614-4c76-878b-d30e26f06947",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:39.7972977+00:00",
    "updatedDateUtc": "2026-11-13T23:59:39.7972977+00:00"
  },
  {
    "nodeIndexId": "341cb2e4-3085-4ceb-9b63-33ce13994f67",
    "tenantId": "af682282-9987-4410-909c-6a489a3a0461",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "7ff8b3c5-d614-4c76-878b-d30e26f06947",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:39.7972977+00:00",
    "updatedDateUtc": "2026-11-13T23:59:39.7972977+00:00"
  },
  {
    "nodeIndexId": "341cb2e4-3085-4ceb-9b63-33ce13994f67",
    "tenantId": "af682282-9987-4410-909c-6a489a3a0461",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "7ff8b3c5-d614-4c76-878b-d30e26f06947",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:39.7972977+00:00",
    "updatedDateUtc": "2026-11-13T23:59:39.7972977+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeIndexRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:39.7972977+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:39.7972977+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>7ff8b3c5-d614-4c76-878b-d30e26f06947</NodeId>
    <NodeIndexId>341cb2e4-3085-4ceb-9b63-33ce13994f67</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>af682282-9987-4410-909c-6a489a3a0461</TenantId>
  </NodeIndexRepresentation>
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:39.7972977+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:39.7972977+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>7ff8b3c5-d614-4c76-878b-d30e26f06947</NodeId>
    <NodeIndexId>341cb2e4-3085-4ceb-9b63-33ce13994f67</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>af682282-9987-4410-909c-6a489a3a0461</TenantId>
  </NodeIndexRepresentation>
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:39.7972977+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:39.7972977+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>7ff8b3c5-d614-4c76-878b-d30e26f06947</NodeId>
    <NodeIndexId>341cb2e4-3085-4ceb-9b63-33ce13994f67</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>af682282-9987-4410-909c-6a489a3a0461</TenantId>
  </NodeIndexRepresentation>
</ArrayOfNodeIndexRepresentation>